//
// TestClass
//
// An Objective-C class to test out some of the
// features of Objective-C.
//
// By Gregor N. Purdy
// 
// See the README file.
//


#import <objc/Object.h>


@interface TestClass : Object

{
    id foo;
}


+ (int):anObject;		// Technically allowed by grammar.
				//
				// Generated by:
				//
				//  1. class-method-declaration
				//  2. + [method-type] method-selector;
				//  3. + (identifier) method-selector;
				//  4. + (int) method-selector;
				//  5. + (int) keyword-selector [, ...];
				//  6. + (int) keyword-declarator [, ...];
				//  7. + (int) : [method-type] identifier [, ...];
				//  8. + (int) : [method-type] anObject [, ...];
				// 
				// And then, by throwing away unused optional stuff:
				//
				// + (int):anObject;
				//


+ (BOOL):(int)a isLessThan:(int)b;		// Something a little more useful.


- :a :b :c :d;			// Similarly acceptable.


@end


//
// End of file.
//